import * as m from "@/paraglide/messages.js"
import type { NavLink } from "@/utils/linking.ts"

interface Link {
  label: () => string
  to: NavLink
  color: string
}

const Links: Link[] = [
  {
    label: m.home,
    to: "/",
    color: "text-cat-rosewater",
  },
  {
    label: m.myProjects,
    to: "/projects",
    color: "text-cat-flamingo",
  },
  {
    label: m.myLinks,
    to: "/links",
    color: "text-cat-pink",
  },
  {
    label: m.uses,
    to: "/uses",
    color: "text-cat-mauve",
  },
  {
    label: m.contactMe,
    to: "/contact",
    color: "text-cat-red",
  },
]

export default Links
